%global npm_name hoek
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 6.1.2
Release: %mkrel 3
Summary: General purpose node utilities
License: BSD
Group: Development/Other
URL: https://github.com/hapijs/hoek#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%autosetup -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 6.1.2-3.mga9
+ Revision: 1819341
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 6.1.2-2.mga8
+ Revision: 1521053
- Mageia 8 Mass Rebuild

* Sun Dec 16 2018 kekepower <kekepower> 6.1.2-1.mga7
+ Revision: 1341585
- Update to version 6.1.2

* Thu Sep 20 2018 umeabot <umeabot> 5.0.3-2.mga7
+ Revision: 1280505
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 5.0.3-1.mga7
+ Revision: 1227072
- imported package nodejs-hoek

